Skip to content

List Users

GET
/admin/users
curl --request GET \
--url 'https://example.com/admin/users?limit=100&offset=0' \
--header 'Authorization: Bearer <token>'
q
Any of:
string
<= 64 characters

Username substring

banned
Any of:
boolean
limit
Limit
integer
default: 100 >= 1 <= 500
offset
Offset
integer
0

Successful Response

Media typeapplication/json
Response List Users Admin Users Get
Array<object>
AdminUserOut
object
ban_reason
required
Any of:
string
banned_at
required
Any of:
string format: date-time
created_at
required
Created At
string format: date-time
has_profile
required
Has Profile
boolean
id
required
Id
string format: uuid
is_admin
required
Is Admin
boolean
matches
Matches
integer
0
open_pairs
Open Pairs
integer
0
phone_verified
required
Phone Verified
boolean
set_version
required
Any of:
integer
username
required
Any of:
string
Example
[
{
"matches": 0,
"open_pairs": 0
}
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}